{ mkDerivation, QuickCheck, base, deepseq, exceptions, fetchgit
, hspec, lens, lib, monad-control, mtl, profunctors
, template-haskell, text, transformers, transformers-base
, unliftio-core, vinyl
}:
mkDerivation {
  pname = "composite-base";
  version = "0.8.2.1";
  src = fetchgit {
    url = "https://github.com/locallycompact/composite-base";
    sha256 = "1wxcbrm0l2rgyg2j5h6vfg2qfffxfrawcb2271bas1ql8p1vvcp0";
    rev = "fdcf4721c1337aec2ebcd4e0cef0e7964e0519ff";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base deepseq exceptions lens monad-control mtl profunctors
    template-haskell text transformers transformers-base unliftio-core
    vinyl
  ];
  testHaskellDepends = [
    base deepseq exceptions hspec lens monad-control mtl profunctors
    QuickCheck template-haskell text transformers transformers-base
    unliftio-core vinyl
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/composite-hs/composite-base#readme";
  description = "Shared utilities for composite-* packages";
  license = lib.licenses.bsd3;
  broken = false;
}